MPD: RightShiftSampleConvert< SF, DF, ST, DT > Struct Template Reference

MPD 0.20.15

Public Types | Static Public Member Functions
RightShiftSampleConvert< SF, DF, ST, DT > Struct Template Reference

Convert from one integer sample format to another by shifting bits to the right. More...

`#include <ShiftConvert.hxx>`

## Public Types
typedef ST | SrcTraits
typedef DT | DstTraits
typedef SrcTraits::value_type | SV
typedef DstTraits::value_type | DV

## Static Public Member Functions
static constexpr DV | Convert (SV src)

## Detailed Description

### template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>
struct RightShiftSampleConvert< SF, DF, ST, DT >

Convert from one integer sample format to another by shifting bits to the right.

Definition at line 54 of file ShiftConvert.hxx.

## Member Typedef Documentation

## ◆ DstTraits

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef DT RightShiftSampleConvert< SF, DF, ST, DT >::DstTraits

Definition at line 56 of file ShiftConvert.hxx.

## ◆ DV

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef DstTraits::value_type RightShiftSampleConvert< SF, DF, ST, DT >::DV

Definition at line 59 of file ShiftConvert.hxx.

## ◆ SrcTraits

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef ST RightShiftSampleConvert< SF, DF, ST, DT >::SrcTraits

Definition at line 55 of file ShiftConvert.hxx.

## ◆ SV

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef SrcTraits::value_type RightShiftSampleConvert< SF, DF, ST, DT >::SV

Definition at line 58 of file ShiftConvert.hxx.

## Member Function Documentation

## ◆ Convert()

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

static constexpr DV RightShiftSampleConvert< SF, DF, ST, DT >::Convert | ( | SV | src | ) |
| inlinestatic

Definition at line 64 of file ShiftConvert.hxx.

The documentation for this struct was generated from the following file:

- pcm/ShiftConvert.hxx